org.richfaces.renderkit

## Interface AutocompleteEncodeStrategy

- All Known Implementing Classes:
    AutocompleteDivLayoutStrategy, AutocompleteListLayoutStrategy, AutocompleteTableLayoutStrategy

      public interface AutocompleteEncodeStrategy

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeFakeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getContainerElementId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

- - ### Method Detail

    - #### encodeItemsContainerBegin

          void encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### encodeItemsContainerEnd

          void encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext,
                                       javax.faces.component.UIComponent component)
                                throws IOException

      Throws:
        `IOException`

    - #### encodeItemBegin

          void encodeItemBegin(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws IOException

      Throws:
        `IOException`

    - #### encodeItemEnd

          void encodeItemEnd(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component)
                      throws IOException

      Throws:
        `IOException`

    - #### encodeItem

          void encodeItem(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws IOException

      Throws:
        `IOException`

    - #### encodeFakeItem

          void encodeFakeItem(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)
                       throws IOException

      Throws:
        `IOException`

    - #### getContainerElementId

          String getContainerElementId(javax.faces.context.FacesContext facesContext,
                                       javax.faces.component.UIComponent component)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.